Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels) Summary: [Nested Classes](https://developer.android.com/reference/android/os/GpuHeadroomParams#nestedclasses) \| [Constants](https://developer.android.com/reference/android/os/GpuHeadroomParams#constants) \| [Methods](https://developer.android.com/reference/android/os/GpuHeadroomParams#pubmethods) \| [Inherited Methods](https://developer.android.com/reference/android/os/GpuHeadroomParams#inhmethods)

# GpuHeadroomParams

*** ** * ** ***

` public final class GpuHeadroomParams `   
` extends https://developer.android.com/reference/java/lang/Object ` ` `

|---|---|
| [java.lang.Object](https://developer.android.com/reference/java/lang/Object) ||
| ↳ | android.os.GpuHeadroomParams |

<br />

*** ** * ** ***

Headroom request params used by `https://developer.android.com/reference/android/os/health/SystemHealthManager#getGpuHeadroom(android.os.GpuHeadroomParams)`.

This class is immutable and one should use the `https://developer.android.com/reference/android/os/GpuHeadroomParams.Builder` to build a new instance.

## Summary

| ### Nested classes ||
|---|---|
| ` class` | `https://developer.android.com/reference/android/os/GpuHeadroomParams.Builder` |

| ### Constants ||
|---|---|
| `int` | `https://developer.android.com/reference/android/os/GpuHeadroomParams#GPU_HEADROOM_CALCULATION_TYPE_AVERAGE` The headroom calculation type bases on average value over a specified window. |
| `int` | `https://developer.android.com/reference/android/os/GpuHeadroomParams#GPU_HEADROOM_CALCULATION_TYPE_MIN` The headroom calculation type bases on minimum value over a specified window. |
| `int` | `https://developer.android.com/reference/android/os/GpuHeadroomParams#GPU_HEADROOM_CALCULATION_WINDOW_MILLIS_MAX` The maximum size of the window to compute the headroom over. |
| `int` | `https://developer.android.com/reference/android/os/GpuHeadroomParams#GPU_HEADROOM_CALCULATION_WINDOW_MILLIS_MIN` The minimum size of the window to compute the headroom over. |

| ### Public methods ||
|---|---|
| ` boolean` | ` https://developer.android.com/reference/android/os/GpuHeadroomParams#equals(java.lang.Object)(https://developer.android.com/reference/java/lang/Object o) ` Indicates whether some other object is "equal to" this one. |
| ` int` | ` https://developer.android.com/reference/android/os/GpuHeadroomParams#getCalculationType()() ` Gets the headroom calculation type. |
| ` int` | ` https://developer.android.com/reference/android/os/GpuHeadroomParams#getCalculationWindowMillis()() ` Gets the headroom calculation window size in milliseconds. |
| ` int` | ` https://developer.android.com/reference/android/os/GpuHeadroomParams#hashCode()() ` Returns a hash code value for the object. |
| ` https://developer.android.com/reference/java/lang/String` | ` https://developer.android.com/reference/android/os/GpuHeadroomParams#toString()() ` Returns a string representation of the object. |

### Inherited methods

From class ` https://developer.android.com/reference/java/lang/Object ` ` https://developer.android.com/reference/java/lang/Object` ` https://developer.android.com/reference/java/lang/Object#clone()() `

Creates and returns a copy of this object.
` boolean` ` https://developer.android.com/reference/java/lang/Object#equals(java.lang.Object)(https://developer.android.com/reference/java/lang/Object obj) `

Indicates whether some other object is "equal to" this one.
` void` ` https://developer.android.com/reference/java/lang/Object#finalize()() `

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.
` final https://developer.android.com/reference/java/lang/Class<?>` ` https://developer.android.com/reference/java/lang/Object#getClass()() `

Returns the runtime class of this `Object`.
` int` ` https://developer.android.com/reference/java/lang/Object#hashCode()() `

Returns a hash code value for the object.
` final void` ` https://developer.android.com/reference/java/lang/Object#notify()() `

Wakes up a single thread that is waiting on this object's monitor.
` final void` ` https://developer.android.com/reference/java/lang/Object#notifyAll()() `

Wakes up all threads that are waiting on this object's monitor.
` https://developer.android.com/reference/java/lang/String` ` https://developer.android.com/reference/java/lang/Object#toString()() `

Returns a string representation of the object.
` final void` ` https://developer.android.com/reference/java/lang/Object#wait(long,%20int)(long timeoutMillis, int nanos) `

Causes the current thread to wait until it is awakened, typically by being *notified* or *interrupted*, or until a certain amount of real time has elapsed.
` final void` ` https://developer.android.com/reference/java/lang/Object#wait(long)(long timeoutMillis) `

Causes the current thread to wait until it is awakened, typically by being *notified* or *interrupted*, or until a certain amount of real time has elapsed.
` final void` ` https://developer.android.com/reference/java/lang/Object#wait()() `

Causes the current thread to wait until it is awakened, typically by being *notified* or *interrupted*.

## Constants

### GPU_HEADROOM_CALCULATION_TYPE_AVERAGE

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final int GPU_HEADROOM_CALCULATION_TYPE_AVERAGE
```

The headroom calculation type bases on average value over a specified window.

<br />

Constant Value: 1 (0x00000001)

### GPU_HEADROOM_CALCULATION_TYPE_MIN

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final int GPU_HEADROOM_CALCULATION_TYPE_MIN
```

The headroom calculation type bases on minimum value over a specified window.

<br />

Constant Value: 0 (0x00000000)

### GPU_HEADROOM_CALCULATION_WINDOW_MILLIS_MAX

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final int GPU_HEADROOM_CALCULATION_WINDOW_MILLIS_MAX
```

The maximum size of the window to compute the headroom over.

<br />

Constant Value: 10000 (0x00002710)

### GPU_HEADROOM_CALCULATION_WINDOW_MILLIS_MIN

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final int GPU_HEADROOM_CALCULATION_WINDOW_MILLIS_MIN
```

The minimum size of the window to compute the headroom over.

<br />

Constant Value: 50 (0x00000032)

## Public methods

### equals

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public boolean equals (Object o)
```

Indicates whether some other object is "equal to" this one.

The `equals` method implements an equivalence relation on non-null object references:

- It is *reflexive*: for any non-null reference value `x`, `x.equals(x)` should return `true`.
- It is *symmetric*: for any non-null reference values `x` and `y`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
- It is *transitive*: for any non-null reference values `x`, `y`, and `z`, if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.
- It is *consistent*: for any non-null reference values `x` and `y`, multiple invocations of `x.equals(y)` consistently return `true` or consistently return `false`, provided no information used in `equals` comparisons on the objects is modified.
- For any non-null reference value `x`, `x.equals(null)` should return `false`.

An equivalence relation partitions the elements it operates on into *equivalence classes*; all the members of an equivalence class are equal to each other. Members of an equivalence class are substitutable for each other, at least for some purposes.

<br />

| Parameters ||
|---|---|
| `o` | `Object`: the reference object with which to compare. <br /> |

| Returns ||
|---|---|
| `boolean` | `true` if this object is the same as the obj argument; `false` otherwise. <br /> |

### getCalculationType

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public int getCalculationType ()
```

Gets the headroom calculation type.

This will return the default value chosen by the device if not set.

<br />

| Returns ||
|---|---|
| `int` | Value is one of the following: - `https://developer.android.com/reference/android/os/GpuHeadroomParams#GPU_HEADROOM_CALCULATION_TYPE_MIN` - `https://developer.android.com/reference/android/os/GpuHeadroomParams#GPU_HEADROOM_CALCULATION_TYPE_AVERAGE` |

### getCalculationWindowMillis

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public int getCalculationWindowMillis ()
```

Gets the headroom calculation window size in milliseconds.

This will return the default value chosen by the device if not set.

<br />

| Returns ||
|---|---|
| `int` | <br /> |

### hashCode

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public int hashCode ()
```

Returns a hash code value for the object. This method is supported for the benefit of hash tables such as those provided by `https://developer.android.com/reference/java/util/HashMap`.

The general contract of `hashCode` is:

- Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
- If two objects are equal according to the `https://developer.android.com/reference/java/lang/Object#equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
- It is *not* required that if two objects are unequal according to the `https://developer.android.com/reference/java/lang/Object#equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.

<br />

<br />

| Returns ||
|---|---|
| `int` | a hash code value for this object. <br /> |

### toString

Added in [API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public String toString ()
```

Returns a string representation of the object.

<br />

| Returns ||
|---|---|
| `https://developer.android.com/reference/java/lang/String` | a string representation of the object. <br /> |